# ncurses 5.9 - patch 20120608 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20120608.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Jun  9 00:43:33 UTC 2012
# ------------------------------------------------------------------------------
# MANIFEST                                          |    8 
# NEWS                                              |   12 
# aclocal.m4                                        |   15 
# c++/cursesf.h                                     |   12 
# c++/cursesm.h                                     |   12 
# configure                                         |  641 ++++++++++----------
# dist.mk                                           |    4 
# ncurses-5.9-20120608/package/debian/changelog     |    5 
# ncurses-5.9-20120608/package/debian/compat        |    1 
# ncurses-5.9-20120608/package/debian/control       |   16 
# ncurses-5.9-20120608/package/debian/copyright     |  112 +++
# ncurses-5.9-20120608/package/debian/rules         |  117 +++
# ncurses-5.9-20120608/package/debian/source/format |    1 
# ncurses-5.9-20120608/package/debian/watch         |    4 
# ncurses-5.9-20120608/package/ncurses.spec         |   81 ++
# progs/infocmp.c                                   |    3 
# 16 files changed, 707 insertions(+), 337 deletions(-)
# ------------------------------------------------------------------------------
Index: MANIFEST
--- ncurses-5.9-20120602+/MANIFEST	2012-02-25 22:22:35.000000000 +0000
+++ ncurses-5.9-20120608/MANIFEST	2012-06-08 15:20:20.000000000 +0000
@@ -971,6 +971,14 @@
 ./ncurses/win32con/gettimeofday.c
 ./ncurses/win32con/wcwidth.c
 ./ncurses/win32con/win_driver.c
+./package/debian/changelog
+./package/debian/compat
+./package/debian/control
+./package/debian/copyright
+./package/debian/rules
+./package/debian/source/format
+./package/debian/watch
+./package/ncurses.spec
 ./panel/Makefile.in
 ./panel/headers
 ./panel/llib-lpanel
Index: NEWS
Prereq:  1.1909 
--- ncurses-5.9-20120602+/NEWS	2012-06-02 20:21:26.000000000 +0000
+++ ncurses-5.9-20120608/NEWS	2012-06-08 23:10:50.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1909 2012/06/02 20:21:26 tom Exp $
+-- $Id: NEWS,v 1.1914 2012/06/08 23:10:50 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,16 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20120608
+	+ fix an uninitialized variable in -c/-n logic for infocmp changes
+	  (cf: 20120526).
+	+ corrected fix for building c++ binding with clang 3.0 (report/patch
+	  by Richard Yao, Gentoo #417613, cf: 20110409)
+	+ correct configure check for working poll, fixing the case where stdin
+	  is redirected, e.g., in rpm/dpkg builds (Debian #676461).
+	+ add rpm- and dpkg-scripts, to test those build-environments.
+	  The resulting packages are used only for testing.
+
 20120602
 	+ add kdch1 aka "Remove" to vt220 and vt220-8 entries -TD
 	+ add kdch1, etc., to qvt108 -TD
Index: aclocal.m4
Prereq:  1.611 
--- ncurses-5.9-20120602+/aclocal.m4	2012-04-01 00:13:31.000000000 +0000
+++ ncurses-5.9-20120608/aclocal.m4	2012-06-08 16:25:28.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.611 2012/04/01 00:13:31 tom Exp $
+dnl $Id: aclocal.m4,v 1.612 2012/06/08 16:25:28 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -1687,14 +1687,17 @@
 ])
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_FUNC_POLL version: 5 updated: 2012/01/25 17:55:38
+dnl CF_FUNC_POLL version: 6 updated: 2012/06/08 12:22:55
 dnl ------------
 dnl See if the poll function really works.  Some platforms have poll(), but
 dnl it does not work for terminals or files.
 AC_DEFUN([CF_FUNC_POLL],[
 AC_CACHE_CHECK(if poll really works,cf_cv_working_poll,[
 AC_TRY_RUN([
+#include <stdlib.h>
 #include <stdio.h>
+#include <unistd.h>
+#include <fcntl.h>
 #ifdef HAVE_POLL_H
 #include <poll.h>
 #else
@@ -1716,9 +1719,13 @@
 	if (ret < 0 || (myfds.revents & POLLNVAL)) {
 		ret = -1;
 	} else {
+		int fd = 0;
+		if (!isatty(fd)) {
+			fd = open("/dev/tty", O_RDWR);
+		}
 
 		/* also check with standard input */
-		myfds.fd = 0;
+		myfds.fd = fd;
 		myfds.events = POLLIN;
 		myfds.revents = 0;
 
@@ -1727,7 +1734,7 @@
 			ret = 0;
 		}
 	}
-	${cf_cv_main_return:-return}(ret != 0);
+	${cf_cv_main_return:-return}(ret < 0);
 }],
 	[cf_cv_working_poll=yes],
 	[cf_cv_working_poll=no],
Index: c++/cursesf.h
Prereq:  1.29 
--- ncurses-5.9-20120602+/c++/cursesf.h	2011-04-09 18:07:01.000000000 +0000
+++ ncurses-5.9-20120608/c++/cursesf.h	2012-06-08 17:43:56.000000000 +0000
@@ -1,6 +1,6 @@
 // * This makes emacs happy -*-Mode: C++;-*-
 /****************************************************************************
- * Copyright (c) 1998-2005,2011 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -31,7 +31,7 @@
  *   Author: Juergen Pfeifer, 1997                                          *
  ****************************************************************************/
 
-// $Id: cursesf.h,v 1.29 2011/04/09 18:07:01 Alexander.Kolesen Exp $
+// $Id: cursesf.h,v 1.30 2012/06/08 17:43:56 Richard.Yao Exp $
 
 #ifndef NCURSES_CURSESF_H_incl
 #define NCURSES_CURSESF_H_incl 1
@@ -677,16 +677,16 @@
   }
 
 public:
-  NCursesUserForm (NCursesFormField Fields[],
+  NCursesUserForm (NCursesFormField* Fields[],
 		   const T* p_UserData = STATIC_CAST(T*)(0),
 		   bool with_frame=FALSE,
 		   bool autoDelete_Fields=FALSE)
-    : NCursesForm (&Fields, with_frame, autoDelete_Fields) {
+    : NCursesForm (Fields, with_frame, autoDelete_Fields) {
       if (form)
 	set_user (const_cast<void *>(p_UserData));
   };
 
-  NCursesUserForm (NCursesFormField Fields[],
+  NCursesUserForm (NCursesFormField* Fields[],
 		   int nlines,
 		   int ncols,
 		   int begin_y = 0,
@@ -694,7 +694,7 @@
 		   const T* p_UserData = STATIC_CAST(T*)(0),
 		   bool with_frame=FALSE,
 		   bool autoDelete_Fields=FALSE)
-    : NCursesForm (&Fields, nlines, ncols, begin_y, begin_x,
+    : NCursesForm (Fields, nlines, ncols, begin_y, begin_x,
 		   with_frame, autoDelete_Fields) {
       if (form)
 	set_user (const_cast<void *>(p_UserData));
Index: c++/cursesm.h
Prereq:  1.27 
--- ncurses-5.9-20120602+/c++/cursesm.h	2011-09-17 21:37:01.000000000 +0000
+++ ncurses-5.9-20120608/c++/cursesm.h	2012-06-08 17:43:56.000000000 +0000
@@ -1,6 +1,6 @@
 // * This makes emacs happy -*-Mode: C++;-*-
 /****************************************************************************
- * Copyright (c) 1998-2005,2011 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -31,7 +31,7 @@
  *   Author: Juergen Pfeifer, 1997                                          *
  ****************************************************************************/
 
-// $Id: cursesm.h,v 1.27 2011/09/17 21:37:01 tom Exp $
+// $Id: cursesm.h,v 1.28 2012/06/08 17:43:56 Richard.Yao Exp $
 
 #ifndef NCURSES_CURSESM_H_incl
 #define NCURSES_CURSESM_H_incl 1
@@ -636,23 +636,23 @@
   }
 
 public:
-  NCursesUserMenu (NCursesMenuItem Items[],
+  NCursesUserMenu (NCursesMenuItem* Items[],
 		   const T* p_UserData = STATIC_CAST(T*)(0),
 		   bool with_frame=FALSE,
 		   bool autoDelete_Items=FALSE)
-    : NCursesMenu (&Items, with_frame, autoDelete_Items) {
+    : NCursesMenu (Items, with_frame, autoDelete_Items) {
       if (menu)
 	set_user (const_cast<void *>(p_UserData));
   };
 
-  NCursesUserMenu (NCursesMenuItem Items[],
+  NCursesUserMenu (NCursesMenuItem* Items[],
 		   int nlines,
 		   int ncols,
 		   int begin_y = 0,
 		   int begin_x = 0,
 		   const T* p_UserData = STATIC_CAST(T*)(0),
 		   bool with_frame=FALSE)
-    : NCursesMenu (&Items, nlines, ncols, begin_y, begin_x, with_frame) {
+    : NCursesMenu (Items, nlines, ncols, begin_y, begin_x, with_frame) {
       if (menu)
 	set_user (const_cast<void *>(p_UserData));
   };
Index: configure
--- ncurses-5.9-20120602+/configure	2012-05-05 21:01:33.000000000 +0000
+++ ncurses-5.9-20120608/configure	2012-06-08 16:32:00.000000000 +0000
@@ -16716,7 +16716,10 @@
 #line 16716 "configure"
 #include "confdefs.h"
 
+#include <stdlib.h>
 #include <stdio.h>
+#include <unistd.h>
+#include <fcntl.h>
 #ifdef HAVE_POLL_H
 #include <poll.h>
 #else
@@ -16738,9 +16741,13 @@
 	if (ret < 0 || (myfds.revents & POLLNVAL)) {
 		ret = -1;
 	} else {
+		int fd = 0;
+		if (!isatty(fd)) {
+			fd = open("/dev/tty", O_RDWR);
+		}
 
 		/* also check with standard input */
-		myfds.fd = 0;
+		myfds.fd = fd;
 		myfds.events = POLLIN;
 		myfds.revents = 0;
 
@@ -16749,19 +16756,19 @@
 			ret = 0;
 		}
 	}
-	${cf_cv_main_return:-return}(ret != 0);
+	${cf_cv_main_return:-return}(ret < 0);
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16756: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16763: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16759: \$? = $ac_status" >&5
+  echo "$as_me:16766: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16761: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16768: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16764: \$? = $ac_status" >&5
+  echo "$as_me:16771: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_working_poll=yes
 else
@@ -16773,20 +16780,20 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:16776: result: $cf_cv_working_poll" >&5
+echo "$as_me:16783: result: $cf_cv_working_poll" >&5
 echo "${ECHO_T}$cf_cv_working_poll" >&6
 test "$cf_cv_working_poll" = "yes" && cat >>confdefs.h <<\EOF
 #define HAVE_WORKING_POLL 1
 EOF
 
-echo "$as_me:16782: checking for va_copy" >&5
+echo "$as_me:16789: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
 if test "${cf_cv_have_va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16789 "configure"
+#line 16796 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16803,16 +16810,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16806: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16813: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16809: \$? = $ac_status" >&5
+  echo "$as_me:16816: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16812: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16819: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16815: \$? = $ac_status" >&5
+  echo "$as_me:16822: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_va_copy=yes
 else
@@ -16822,21 +16829,21 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16825: result: $cf_cv_have_va_copy" >&5
+echo "$as_me:16832: result: $cf_cv_have_va_copy" >&5
 echo "${ECHO_T}$cf_cv_have_va_copy" >&6
 
 test "$cf_cv_have_va_copy" = yes && cat >>confdefs.h <<\EOF
 #define HAVE_VA_COPY 1
 EOF
 
-echo "$as_me:16832: checking for __va_copy" >&5
+echo "$as_me:16839: checking for __va_copy" >&5
 echo $ECHO_N "checking for __va_copy... $ECHO_C" >&6
 if test "${cf_cv_have___va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16839 "configure"
+#line 16846 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16853,16 +16860,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16856: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16863: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16859: \$? = $ac_status" >&5
+  echo "$as_me:16866: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16862: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16869: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16865: \$? = $ac_status" >&5
+  echo "$as_me:16872: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have___va_copy=yes
 else
@@ -16872,20 +16879,20 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16875: result: $cf_cv_have___va_copy" >&5
+echo "$as_me:16882: result: $cf_cv_have___va_copy" >&5
 echo "${ECHO_T}$cf_cv_have___va_copy" >&6
 
 test "$cf_cv_have___va_copy" = yes && cat >>confdefs.h <<\EOF
 #define HAVE___VA_COPY 1
 EOF
 
-echo "$as_me:16882: checking for pid_t" >&5
+echo "$as_me:16889: checking for pid_t" >&5
 echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
 if test "${ac_cv_type_pid_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16888 "configure"
+#line 16895 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -16900,16 +16907,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16903: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16910: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16906: \$? = $ac_status" >&5
+  echo "$as_me:16913: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16909: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16916: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16912: \$? = $ac_status" >&5
+  echo "$as_me:16919: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_pid_t=yes
 else
@@ -16919,7 +16926,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16922: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:16929: result: $ac_cv_type_pid_t" >&5
 echo "${ECHO_T}$ac_cv_type_pid_t" >&6
 if test $ac_cv_type_pid_t = yes; then
   :
@@ -16934,23 +16941,23 @@
 for ac_header in unistd.h vfork.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:16937: checking for $ac_header" >&5
+echo "$as_me:16944: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16943 "configure"
+#line 16950 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:16947: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16954: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16953: \$? = $ac_status" >&5
+  echo "$as_me:16960: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16969,7 +16976,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16972: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:16979: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16982,13 +16989,13 @@
 for ac_func in fork vfork
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:16985: checking for $ac_func" >&5
+echo "$as_me:16992: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16991 "configure"
+#line 16998 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -17019,16 +17026,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17022: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17029: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17025: \$? = $ac_status" >&5
+  echo "$as_me:17032: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17028: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17035: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17031: \$? = $ac_status" >&5
+  echo "$as_me:17038: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -17038,7 +17045,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17041: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:17048: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17050,7 +17057,7 @@
 
 ac_cv_func_fork_works=$ac_cv_func_fork
 if test "x$ac_cv_func_fork" = xyes; then
-  echo "$as_me:17053: checking for working fork" >&5
+  echo "$as_me:17060: checking for working fork" >&5
 echo $ECHO_N "checking for working fork... $ECHO_C" >&6
 if test "${ac_cv_func_fork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17073,15 +17080,15 @@
       }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17076: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17083: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17079: \$? = $ac_status" >&5
+  echo "$as_me:17086: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17081: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17088: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17084: \$? = $ac_status" >&5
+  echo "$as_me:17091: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fork_works=yes
 else
@@ -17093,7 +17100,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17096: result: $ac_cv_func_fork_works" >&5
+echo "$as_me:17103: result: $ac_cv_func_fork_works" >&5
 echo "${ECHO_T}$ac_cv_func_fork_works" >&6
 
 fi
@@ -17107,12 +17114,12 @@
       ac_cv_func_fork_works=yes
       ;;
   esac
-  { echo "$as_me:17110: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:17117: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&2;}
 fi
 ac_cv_func_vfork_works=$ac_cv_func_vfork
 if test "x$ac_cv_func_vfork" = xyes; then
-  echo "$as_me:17115: checking for working vfork" >&5
+  echo "$as_me:17122: checking for working vfork" >&5
 echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
 if test "${ac_cv_func_vfork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17121,7 +17128,7 @@
   ac_cv_func_vfork_works=cross
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17124 "configure"
+#line 17131 "configure"
 #include "confdefs.h"
 /* Thanks to Paul Eggert for this test.  */
 #include <stdio.h>
@@ -17218,15 +17225,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17221: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17228: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17224: \$? = $ac_status" >&5
+  echo "$as_me:17231: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17226: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17233: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17229: \$? = $ac_status" >&5
+  echo "$as_me:17236: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_vfork_works=yes
 else
@@ -17238,13 +17245,13 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17241: result: $ac_cv_func_vfork_works" >&5
+echo "$as_me:17248: result: $ac_cv_func_vfork_works" >&5
 echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
 
 fi;
 if test "x$ac_cv_func_fork_works" = xcross; then
   ac_cv_func_vfork_works=ac_cv_func_vfork
-  { echo "$as_me:17247: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:17254: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&2;}
 fi
 
@@ -17271,7 +17278,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:17274: checking for openpty in -lutil" >&5
+echo "$as_me:17281: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17279,7 +17286,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 17282 "configure"
+#line 17289 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -17298,16 +17305,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17301: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17308: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17304: \$? = $ac_status" >&5
+  echo "$as_me:17311: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17307: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17314: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17310: \$? = $ac_status" >&5
+  echo "$as_me:17317: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -17318,7 +17325,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:17321: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:17328: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -17326,7 +17333,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:17329: checking for openpty header" >&5
+echo "$as_me:17336: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17337,7 +17344,7 @@
     for cf_header in pty.h libutil.h util.h
     do
     cat >conftest.$ac_ext <<_ACEOF
-#line 17340 "configure"
+#line 17347 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -17354,16 +17361,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17357: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17364: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17360: \$? = $ac_status" >&5
+  echo "$as_me:17367: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17363: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17370: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17366: \$? = $ac_status" >&5
+  echo "$as_me:17373: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
         cf_cv_func_openpty=$cf_header
@@ -17381,7 +17388,7 @@
     LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:17384: result: $cf_cv_func_openpty" >&5
+echo "$as_me:17391: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -17433,7 +17440,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 17436 "configure"
+#line 17443 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -17445,16 +17452,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17448: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17455: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17451: \$? = $ac_status" >&5
+  echo "$as_me:17458: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17454: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17461: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17457: \$? = $ac_status" >&5
+  echo "$as_me:17464: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -17471,7 +17478,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:17474: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:17481: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -17505,7 +17512,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:17508: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:17515: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -17516,23 +17523,23 @@
     fi
 esac
 
-echo "$as_me:17519: checking for db.h" >&5
+echo "$as_me:17526: checking for db.h" >&5
 echo $ECHO_N "checking for db.h... $ECHO_C" >&6
 if test "${ac_cv_header_db_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17525 "configure"
+#line 17532 "configure"
 #include "confdefs.h"
 #include <db.h>
 _ACEOF
-if { (eval echo "$as_me:17529: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17536: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17535: \$? = $ac_status" >&5
+  echo "$as_me:17542: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17551,11 +17558,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17554: result: $ac_cv_header_db_h" >&5
+echo "$as_me:17561: result: $ac_cv_header_db_h" >&5
 echo "${ECHO_T}$ac_cv_header_db_h" >&6
 if test $ac_cv_header_db_h = yes; then
 
-echo "$as_me:17558: checking for version of db" >&5
+echo "$as_me:17565: checking for version of db" >&5
 echo $ECHO_N "checking for version of db... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17566,10 +17573,10 @@
 for cf_db_version in 1 2 3 4 5
 do
 
-echo "${as_me:-configure}:17569: testing checking for db version $cf_db_version ..." 1>&5
+echo "${as_me:-configure}:17576: testing checking for db version $cf_db_version ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17572 "configure"
+#line 17579 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -17599,16 +17606,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17602: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17609: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17605: \$? = $ac_status" >&5
+  echo "$as_me:17612: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17608: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17615: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17611: \$? = $ac_status" >&5
+  echo "$as_me:17618: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_hashed_db_version=$cf_db_version
@@ -17622,16 +17629,16 @@
 done
 
 fi
-echo "$as_me:17625: result: $cf_cv_hashed_db_version" >&5
+echo "$as_me:17632: result: $cf_cv_hashed_db_version" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_version" >&6
 
 if test "$cf_cv_hashed_db_version" = unknown ; then
-	{ { echo "$as_me:17629: error: Cannot determine version of db" >&5
+	{ { echo "$as_me:17636: error: Cannot determine version of db" >&5
 echo "$as_me: error: Cannot determine version of db" >&2;}
    { (exit 1); exit 1; }; }
 else
 
-echo "$as_me:17634: checking for db libraries" >&5
+echo "$as_me:17641: checking for db libraries" >&5
 echo $ECHO_N "checking for db libraries... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_libs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17645,10 +17652,10 @@
 		LIBS="-l$cf_db_libs $LIBS"
 	fi
 
-echo "${as_me:-configure}:17648: testing checking for library "$cf_db_libs" ..." 1>&5
+echo "${as_me:-configure}:17655: testing checking for library "$cf_db_libs" ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17651 "configure"
+#line 17658 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -17703,16 +17710,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17706: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17713: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17709: \$? = $ac_status" >&5
+  echo "$as_me:17716: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17712: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17719: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17715: \$? = $ac_status" >&5
+  echo "$as_me:17722: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	if test -n "$cf_db_libs" ; then
@@ -17732,11 +17739,11 @@
 done
 
 fi
-echo "$as_me:17735: result: $cf_cv_hashed_db_libs" >&5
+echo "$as_me:17742: result: $cf_cv_hashed_db_libs" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_libs" >&6
 
 	if test "$cf_cv_hashed_db_libs" = unknown ; then
-		{ { echo "$as_me:17739: error: Cannot determine library for db" >&5
+		{ { echo "$as_me:17746: error: Cannot determine library for db" >&5
 echo "$as_me: error: Cannot determine library for db" >&2;}
    { (exit 1); exit 1; }; }
 	elif test "$cf_cv_hashed_db_libs" != default ; then
@@ -17746,7 +17753,7 @@
 
 else
 
-	{ { echo "$as_me:17749: error: Cannot find db.h" >&5
+	{ { echo "$as_me:17756: error: Cannot find db.h" >&5
 echo "$as_me: error: Cannot find db.h" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -17761,7 +17768,7 @@
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:17764: checking if we should include stdbool.h" >&5
+echo "$as_me:17771: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -17769,7 +17776,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17772 "configure"
+#line 17779 "configure"
 #include "confdefs.h"
 
 int
@@ -17781,23 +17788,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17784: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17791: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17787: \$? = $ac_status" >&5
+  echo "$as_me:17794: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17790: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17797: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17793: \$? = $ac_status" >&5
+  echo "$as_me:17800: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 17800 "configure"
+#line 17807 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -17813,16 +17820,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17816: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17823: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17819: \$? = $ac_status" >&5
+  echo "$as_me:17826: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17822: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17829: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17825: \$? = $ac_status" >&5
+  echo "$as_me:17832: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -17836,13 +17843,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:17839: result: yes" >&5
+then	echo "$as_me:17846: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:17841: result: no" >&5
+else	echo "$as_me:17848: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:17845: checking for builtin bool type" >&5
+echo "$as_me:17852: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -17850,7 +17857,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17853 "configure"
+#line 17860 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -17865,16 +17872,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17868: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17875: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17871: \$? = $ac_status" >&5
+  echo "$as_me:17878: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17874: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17881: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17877: \$? = $ac_status" >&5
+  echo "$as_me:17884: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -17887,9 +17894,9 @@
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then	echo "$as_me:17890: result: yes" >&5
+then	echo "$as_me:17897: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:17892: result: no" >&5
+else	echo "$as_me:17899: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -17911,7 +17918,7 @@
 	cf_stdcpp_libname=stdc++
 	;;
 esac
-echo "$as_me:17914: checking for library $cf_stdcpp_libname" >&5
+echo "$as_me:17921: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17920,7 +17927,7 @@
 	cf_save="$LIBS"
 	LIBS="-l$cf_stdcpp_libname $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 17923 "configure"
+#line 17930 "configure"
 #include "confdefs.h"
 
 #include <strstream.h>
@@ -17936,16 +17943,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17939: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17946: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17942: \$? = $ac_status" >&5
+  echo "$as_me:17949: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17945: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17952: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17948: \$? = $ac_status" >&5
+  echo "$as_me:17955: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -17957,12 +17964,12 @@
 	LIBS="$cf_save"
 
 fi
-echo "$as_me:17960: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:17967: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
 test "$cf_cv_libstdcpp" = yes && CXXLIBS="-l$cf_stdcpp_libname $CXXLIBS"
 fi
 
-	echo "$as_me:17965: checking whether $CXX understands -c and -o together" >&5
+	echo "$as_me:17972: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17978,15 +17985,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:17981: \"$ac_try\"") >&5
+if { (eval echo "$as_me:17988: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17984: \$? = $ac_status" >&5
+  echo "$as_me:17991: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:17986: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:17993: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17989: \$? = $ac_status" >&5
+  echo "$as_me:17996: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -17997,10 +18004,10 @@
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:18000: result: yes" >&5
+  echo "$as_me:18007: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:18003: result: no" >&5
+  echo "$as_me:18010: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -18020,12 +18027,12 @@
 	;;
 esac
 if test "$GXX" = yes; then
-	echo "$as_me:18023: checking for lib$cf_gpp_libname" >&5
+	echo "$as_me:18030: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
 	cf_save="$LIBS"
 	LIBS="-l$cf_gpp_libname $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18028 "configure"
+#line 18035 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -18039,16 +18046,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18042: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18049: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18045: \$? = $ac_status" >&5
+  echo "$as_me:18052: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18048: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18055: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18051: \$? = $ac_status" >&5
+  echo "$as_me:18058: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 	 CXXLIBS="-l$cf_gpp_libname $CXXLIBS"
@@ -18067,7 +18074,7 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18070 "configure"
+#line 18077 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -18081,16 +18088,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18084: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18091: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18087: \$? = $ac_status" >&5
+  echo "$as_me:18094: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18090: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18097: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18093: \$? = $ac_status" >&5
+  echo "$as_me:18100: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 	 CXXLIBS="-l$cf_gpp_libname $CXXLIBS"
@@ -18107,7 +18114,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save"
-	echo "$as_me:18110: result: $cf_cxx_library" >&5
+	echo "$as_me:18117: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -18123,7 +18130,7 @@
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
-echo "$as_me:18126: checking how to run the C++ preprocessor" >&5
+echo "$as_me:18133: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
@@ -18140,18 +18147,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 18143 "configure"
+#line 18150 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:18148: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18155: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18154: \$? = $ac_status" >&5
+  echo "$as_me:18161: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18174,17 +18181,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 18177 "configure"
+#line 18184 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:18181: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18188: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18187: \$? = $ac_status" >&5
+  echo "$as_me:18194: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18221,7 +18228,7 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:18224: result: $CXXCPP" >&5
+echo "$as_me:18231: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
@@ -18231,18 +18238,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 18234 "configure"
+#line 18241 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:18239: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18246: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18245: \$? = $ac_status" >&5
+  echo "$as_me:18252: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18265,17 +18272,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 18268 "configure"
+#line 18275 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:18272: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18279: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18278: \$? = $ac_status" >&5
+  echo "$as_me:18285: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18303,7 +18310,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:18306: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:18313: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -18318,23 +18325,23 @@
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:18321: checking for $ac_header" >&5
+echo "$as_me:18328: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18327 "configure"
+#line 18334 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:18331: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18338: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18337: \$? = $ac_status" >&5
+  echo "$as_me:18344: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18353,7 +18360,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18356: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:18363: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -18366,23 +18373,23 @@
 for ac_header in iostream
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:18369: checking for $ac_header" >&5
+echo "$as_me:18376: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18375 "configure"
+#line 18382 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:18379: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18386: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18385: \$? = $ac_status" >&5
+  echo "$as_me:18392: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18401,7 +18408,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18404: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:18411: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -18412,10 +18419,10 @@
 done
 
 if test x"$ac_cv_header_iostream" = xyes ; then
-	echo "$as_me:18415: checking if iostream uses std-namespace" >&5
+	echo "$as_me:18422: checking if iostream uses std-namespace" >&5
 echo $ECHO_N "checking if iostream uses std-namespace... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18418 "configure"
+#line 18425 "configure"
 #include "confdefs.h"
 
 #include <iostream>
@@ -18432,16 +18439,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18435: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18442: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18438: \$? = $ac_status" >&5
+  echo "$as_me:18445: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18441: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18448: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18444: \$? = $ac_status" >&5
+  echo "$as_me:18451: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_iostream_namespace=yes
 else
@@ -18450,7 +18457,7 @@
 cf_iostream_namespace=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:18453: result: $cf_iostream_namespace" >&5
+	echo "$as_me:18460: result: $cf_iostream_namespace" >&5
 echo "${ECHO_T}$cf_iostream_namespace" >&6
 	if test "$cf_iostream_namespace" = yes ; then
 		cat >>confdefs.h <<\EOF
@@ -18460,7 +18467,7 @@
 	fi
 fi
 
-echo "$as_me:18463: checking if we should include stdbool.h" >&5
+echo "$as_me:18470: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -18468,7 +18475,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18471 "configure"
+#line 18478 "configure"
 #include "confdefs.h"
 
 int
@@ -18480,23 +18487,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18483: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18490: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18486: \$? = $ac_status" >&5
+  echo "$as_me:18493: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18489: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18496: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18492: \$? = $ac_status" >&5
+  echo "$as_me:18499: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18499 "configure"
+#line 18506 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -18512,16 +18519,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18515: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18522: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18518: \$? = $ac_status" >&5
+  echo "$as_me:18525: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18521: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18528: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18524: \$? = $ac_status" >&5
+  echo "$as_me:18531: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -18535,13 +18542,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:18538: result: yes" >&5
+then	echo "$as_me:18545: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18540: result: no" >&5
+else	echo "$as_me:18547: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:18544: checking for builtin bool type" >&5
+echo "$as_me:18551: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -18549,7 +18556,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18552 "configure"
+#line 18559 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -18564,16 +18571,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18567: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18574: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18570: \$? = $ac_status" >&5
+  echo "$as_me:18577: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18573: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18580: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18576: \$? = $ac_status" >&5
+  echo "$as_me:18583: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -18586,13 +18593,13 @@
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then	echo "$as_me:18589: result: yes" >&5
+then	echo "$as_me:18596: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18591: result: no" >&5
+else	echo "$as_me:18598: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:18595: checking for size of bool" >&5
+echo "$as_me:18602: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18603,7 +18610,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18606 "configure"
+#line 18613 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18645,15 +18652,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18648: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18655: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18651: \$? = $ac_status" >&5
+  echo "$as_me:18658: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18653: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18660: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18656: \$? = $ac_status" >&5
+  echo "$as_me:18663: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -18671,18 +18678,18 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:18674: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:18681: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:18680: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:18687: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:18685: checking for special defines needed for etip.h" >&5
+echo "$as_me:18692: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -18700,7 +18707,7 @@
 	test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
 	test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 18703 "configure"
+#line 18710 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -18714,16 +18721,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18717: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18724: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18720: \$? = $ac_status" >&5
+  echo "$as_me:18727: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18723: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18730: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18726: \$? = $ac_status" >&5
+  echo "$as_me:18733: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	test -n "$cf_math" && cat >>confdefs.h <<EOF
@@ -18744,12 +18751,12 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:18747: result: $cf_result" >&5
+echo "$as_me:18754: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:18752: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:18759: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18766,7 +18773,7 @@
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18769 "configure"
+#line 18776 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -18785,15 +18792,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18788: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18795: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18791: \$? = $ac_status" >&5
+  echo "$as_me:18798: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18793: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18800: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18796: \$? = $ac_status" >&5
+  echo "$as_me:18803: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -18812,7 +18819,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:18815: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:18822: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes && cat >>confdefs.h <<\EOF
@@ -18821,7 +18828,7 @@
 
 if test -n "$CXX"; then
 
-echo "$as_me:18824: checking if $CXX accepts static_cast" >&5
+echo "$as_me:18831: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18835,7 +18842,7 @@
 ac_main_return=return
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18838 "configure"
+#line 18845 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -18879,16 +18886,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18882: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18889: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18885: \$? = $ac_status" >&5
+  echo "$as_me:18892: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18888: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18895: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18891: \$? = $ac_status" >&5
+  echo "$as_me:18898: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -18906,7 +18913,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:18909: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:18916: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -18954,7 +18961,7 @@
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:18957: checking for size of bool" >&5
+echo "$as_me:18964: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18965,7 +18972,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18968 "configure"
+#line 18975 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -19007,15 +19014,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19010: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19017: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19013: \$? = $ac_status" >&5
+  echo "$as_me:19020: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19015: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19022: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19018: \$? = $ac_status" >&5
+  echo "$as_me:19025: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -19033,25 +19040,25 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:19036: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:19043: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:19042: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:19049: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
 		else
-			echo "$as_me:19048: checking for fallback type of bool" >&5
+			echo "$as_me:19055: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
 			case "$host_cpu" in #(vi
 			i?86)	cf_cv_type_of_bool=char	;; #(vi
 			*)	cf_cv_type_of_bool=int	;;
 			esac
-			echo "$as_me:19054: result: $cf_cv_type_of_bool" >&5
+			echo "$as_me:19061: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 		fi
 	fi
@@ -19080,7 +19087,7 @@
 
 	if test "$cf_with_ada" != "no" ; then
 		if test "$with_libtool" != "no"; then
-			{ echo "$as_me:19083: WARNING: libtool does not support Ada - disabling feature" >&5
+			{ echo "$as_me:19090: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
 			cf_with_ada=no
 		fi
@@ -19091,7 +19098,7 @@
 cf_ada_make=gnatmake
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:19094: checking for $ac_word" >&5
+echo "$as_me:19101: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnat_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19106,7 +19113,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnat_exists="yes"
-echo "$as_me:19109: found $ac_dir/$ac_word" >&5
+echo "$as_me:19116: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -19115,10 +19122,10 @@
 fi
 gnat_exists=$ac_cv_prog_gnat_exists
 if test -n "$gnat_exists"; then
-  echo "$as_me:19118: result: $gnat_exists" >&5
+  echo "$as_me:19125: result: $gnat_exists" >&5
 echo "${ECHO_T}$gnat_exists" >&6
 else
-  echo "$as_me:19121: result: no" >&5
+  echo "$as_me:19128: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19127,12 +19134,12 @@
    cf_cv_prog_gnat_correct=no
 else
 
-echo "$as_me:19130: checking for gnat version" >&5
+echo "$as_me:19137: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
 	grep '[0-9].[0-9][0-9]*' |\
     sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:19135: result: $cf_gnat_version" >&5
+echo "$as_me:19142: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in #(vi
@@ -19140,7 +19147,7 @@
 	cf_cv_prog_gnat_correct=yes
 	;;
 *)
-	{ echo "$as_me:19143: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+	{ echo "$as_me:19150: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
 	cf_cv_prog_gnat_correct=no
 	;;
@@ -19148,7 +19155,7 @@
 
    # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:19151: checking for $ac_word" >&5
+echo "$as_me:19158: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19163,7 +19170,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:19166: found $ac_dir/$ac_word" >&5
+echo "$as_me:19173: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -19172,10 +19179,10 @@
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:19175: result: $M4_exists" >&5
+  echo "$as_me:19182: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:19178: result: no" >&5
+  echo "$as_me:19185: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19184,7 +19191,7 @@
       echo Ada95 binding required program m4 not found. Ada95 binding disabled.
    fi
    if test "$cf_cv_prog_gnat_correct" = yes; then
-      echo "$as_me:19187: checking if GNAT works" >&5
+      echo "$as_me:19194: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -19212,7 +19219,7 @@
 fi
 rm -rf conftest* *~conftest*
 
-      echo "$as_me:19215: result: $cf_cv_prog_gnat_correct" >&5
+      echo "$as_me:19222: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
    fi
 fi
@@ -19221,7 +19228,7 @@
 
  	ADAFLAGS="$ADAFLAGS -gnatpn"
 
-	echo "$as_me:19224: checking optimization options for ADAFLAGS" >&5
+	echo "$as_me:19231: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 	case "$CFLAGS" in
 	*-g*)
@@ -19238,10 +19245,10 @@
 
 		;;
 	esac
-	echo "$as_me:19241: result: $ADAFLAGS" >&5
+	echo "$as_me:19248: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:19244: checking if GNAT supports generics" >&5
+echo "$as_me:19251: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[1-9]*|[4-9].*) #(vi
@@ -19251,7 +19258,7 @@
 	cf_gnat_generics=no
 	;;
 esac
-echo "$as_me:19254: result: $cf_gnat_generics" >&5
+echo "$as_me:19261: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -19263,7 +19270,7 @@
 	cf_generic_objects=
 fi
 
-echo "$as_me:19266: checking if GNAT supports SIGINT" >&5
+echo "$as_me:19273: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19311,7 +19318,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:19314: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:19321: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -19320,7 +19327,7 @@
 	USE_GNAT_SIGINT="#"
 fi
 
-echo "$as_me:19323: checking if GNAT pragma Unreferenced works" >&5
+echo "$as_me:19330: checking if GNAT pragma Unreferenced works" >&5
 echo $ECHO_N "checking if GNAT pragma Unreferenced works... $ECHO_C" >&6
 if test "${cf_cv_pragma_unreferenced+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19351,7 +19358,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:19354: result: $cf_cv_pragma_unreferenced" >&5
+echo "$as_me:19361: result: $cf_cv_pragma_unreferenced" >&5
 echo "${ECHO_T}$cf_cv_pragma_unreferenced" >&6
 
 # if the pragma is supported, use it (needed in the Trace code).
@@ -19364,7 +19371,7 @@
 cf_gnat_libraries=no
 cf_gnat_projects=no
 
-echo "$as_me:19367: checking if GNAT supports project files" >&5
+echo "$as_me:19374: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[0-9]*) #(vi
@@ -19432,14 +19439,14 @@
 	esac
 	;;
 esac
-echo "$as_me:19435: result: $cf_gnat_projects" >&5
+echo "$as_me:19442: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 
 if test $cf_gnat_projects = yes
 then
-	echo "$as_me:19440: checking if GNAT supports libraries" >&5
+	echo "$as_me:19447: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-	echo "$as_me:19442: result: $cf_gnat_libraries" >&5
+	echo "$as_me:19449: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -19459,7 +19466,7 @@
 	USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:19462: checking for ada-compiler" >&5
+echo "$as_me:19469: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -19470,12 +19477,12 @@
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:19473: result: $cf_ada_compiler" >&5
+echo "$as_me:19480: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
 			cf_ada_package=terminal_interface
 
-echo "$as_me:19478: checking for ada-include" >&5
+echo "$as_me:19485: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -19511,7 +19518,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:19514: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:19521: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -19520,10 +19527,10 @@
 fi
 ADA_INCLUDE="$withval"
 
-echo "$as_me:19523: result: $ADA_INCLUDE" >&5
+echo "$as_me:19530: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:19526: checking for ada-objects" >&5
+echo "$as_me:19533: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -19559,7 +19566,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:19562: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:19569: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -19568,10 +19575,10 @@
 fi
 ADA_OBJECTS="$withval"
 
-echo "$as_me:19571: result: $ADA_OBJECTS" >&5
+echo "$as_me:19578: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:19574: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:19581: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -19581,7 +19588,7 @@
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:19584: result: $with_ada_sharedlib" >&5
+echo "$as_me:19591: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -19612,7 +19619,7 @@
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:19615: checking for library subsets" >&5
+echo "$as_me:19622: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -19653,7 +19660,7 @@
 test "$with_widec"     = yes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "$with_ext_funcs" = yes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:19656: result: $LIB_SUBSETS" >&5
+echo "$as_me:19663: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -19691,7 +19698,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:19694: checking default library suffix" >&5
+echo "$as_me:19701: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -19702,10 +19709,10 @@
 	shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:19705: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:19712: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:19708: checking default library-dependency suffix" >&5
+echo "$as_me:19715: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in #(vi
@@ -19758,10 +19765,10 @@
 	esac
 	test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:19761: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:19768: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:19764: checking default object directory" >&5
+echo "$as_me:19771: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -19777,12 +19784,12 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:19780: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:19787: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 # libtool thinks it can make c++ shared libraries (perhaps only g++)
 if test "$cf_with_cxx" = yes ; then
-echo "$as_me:19785: checking c++ library-dependency suffix" >&5
+echo "$as_me:19792: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	CXX_LIB_SUFFIX=$DFT_DEP_SUFFIX
@@ -19839,7 +19846,7 @@
 	test -n "$LIB_SUFFIX" && CXX_LIB_SUFFIX="${LIB_SUFFIX}${CXX_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 fi
-echo "$as_me:19842: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:19849: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -20004,19 +20011,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:20007: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:20014: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 20012 "configure"
+#line 20019 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:20016: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:20023: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20019: \$? = $ac_status" >&5
+  echo "$as_me:20026: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -20027,10 +20034,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 20030 "configure"
+#line 20037 "configure"
 #include "confdefs.h"
 
-#line 20033 "configure"
+#line 20040 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -20045,16 +20052,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20048: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20055: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20051: \$? = $ac_status" >&5
+  echo "$as_me:20058: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20054: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20061: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20057: \$? = $ac_status" >&5
+  echo "$as_me:20064: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -20077,7 +20084,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:20080: result: $cf_ldflags_static" >&5
+	echo "$as_me:20087: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -20093,12 +20100,12 @@
 	;;
 esac
 
-echo "$as_me:20096: checking where we will install curses.h" >&5
+echo "$as_me:20103: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 test "$with_overwrite" = no && \
 test "x$includedir" = 'x${prefix}/include' && \
 	includedir='${prefix}/include/ncurses'${LIB_SUFFIX}
-echo "$as_me:20101: result: $includedir" >&5
+echo "$as_me:20108: result: $includedir" >&5
 echo "${ECHO_T}$includedir" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -20106,7 +20113,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:20109: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:20116: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -20123,7 +20130,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:20126: checking for src modules" >&5
+echo "$as_me:20133: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -20188,7 +20195,7 @@
 		fi
 	fi
 done
-echo "$as_me:20191: result: $cf_cv_src_modules" >&5
+echo "$as_me:20198: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -20400,7 +20407,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:20403: checking for $ac_word" >&5
+echo "$as_me:20410: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20417,7 +20424,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:20420: found $ac_dir/$ac_word" >&5
+   echo "$as_me:20427: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -20429,10 +20436,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:20432: result: $TIC_PATH" >&5
+  echo "$as_me:20439: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:20435: result: no" >&5
+  echo "$as_me:20442: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20440,7 +20447,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:20443: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:20450: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -20536,7 +20543,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:20539: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:20546: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -20712,7 +20719,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:20715: error: ambiguous option: $1
+    { { echo "$as_me:20722: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -20731,7 +20738,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:20734: error: unrecognized option: $1
+  -*) { { echo "$as_me:20741: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -20840,7 +20847,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:20843: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:20850: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -21261,7 +21268,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:21264: creating $ac_file" >&5
+    { echo "$as_me:21271: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -21279,7 +21286,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:21282: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:21289: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -21292,7 +21299,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:21295: error: cannot find input file: $f" >&5
+           { { echo "$as_me:21302: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -21358,7 +21365,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:21361: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:21368: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -21369,7 +21376,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:21372: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:21379: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -21382,7 +21389,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:21385: error: cannot find input file: $f" >&5
+           { { echo "$as_me:21392: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -21440,7 +21447,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:21443: $ac_file is unchanged" >&5
+      { echo "$as_me:21450: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: dist.mk
Prereq:  1.875 
--- ncurses-5.9-20120602+/dist.mk	2012-06-02 11:48:07.000000000 +0000
+++ ncurses-5.9-20120608/dist.mk	2012-06-08 11:07:07.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.875 2012/06/02 11:48:07 tom Exp $
+# $Id: dist.mk,v 1.876 2012/06/08 11:07:07 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20120602
+NCURSES_PATCH = 20120608
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian/changelog
--- /dev/null	2012-06-08 10:25:13.559907442 +0000
+++ ncurses-5.9-20120608/package/debian/changelog	2012-06-08 19:38:30.000000000 +0000
@@ -0,0 +1,5 @@
+ncurses6 (5.9-20120608) unstable; urgency=low
+
+  * initial release
+
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 08 Jun 2012 07:54:29 -0400
Index: package/debian/compat
--- /dev/null	2012-06-08 10:25:13.559907442 +0000
+++ ncurses-5.9-20120608/package/debian/compat	2010-04-20 19:47:10.000000000 +0000
@@ -0,0 +1 @@
+5
Index: package/debian/control
--- /dev/null	2012-06-08 10:25:13.559907442 +0000
+++ ncurses-5.9-20120608/package/debian/control	2012-06-08 13:29:14.000000000 +0000
@@ -0,0 +1,16 @@
+Source: ncurses6
+Section: libdevel
+Priority: optional
+Maintainer: Thomas E. Dickey <dickey@invisible-island.net>
+Homepage: http://invisible-island.net/ncurses/
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.8.2
+
+Package: ncurses6
+Architecture: any
+Depends: ${misc:Depends}
+Description: shared libraries for terminal handling
+ The ncurses library routines are a terminal-independent method of
+ updating character screens with reasonable optimization.
+ .
+ This package is used for testing ABI 6.
Index: package/debian/copyright
--- /dev/null	2012-06-08 10:25:13.559907442 +0000
+++ ncurses-5.9-20120608/package/debian/copyright	2012-06-08 12:27:36.000000000 +0000
@@ -0,0 +1,112 @@
+This package is used for testing builds of ncurses.
+
+Copyright (c) 1998-2012 Free Software Foundation, Inc.
+Copyright © 2001 by Pradeep Padala
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, distribute with modifications, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included
+in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
+DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
+OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
+THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name(s) of the above copyright
+holders shall not be used in advertising or otherwise to promote the
+sale, use or other dealings in this Software without prior written
+authorization.
+
+
+Copyright (C) 1994 X Consortium
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to
+deal in the Software without restriction, including without limitation the
+rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
+sell copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
+AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNEC-
+TION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of the X Consortium shall not
+be used in advertising or otherwise to promote the sale, use or other deal-
+ings in this Software without prior written authorization from the X Consor-
+tium.
+
+
+Copyright (c) 1980, 1991, 1992, 1993
+	The Regents of the University of California.  All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions
+are met:
+1. Redistributions of source code must retain the above copyright
+   notice, this list of conditions and the following disclaimer.
+2. Redistributions in binary form must reproduce the above copyright
+   notice, this list of conditions and the following disclaimer in the
+   documentation and/or other materials provided with the distribution.
+3. Neither the name of the University nor the names of its contributors
+   may be used to endorse or promote products derived from this software
+   without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+SUCH DAMAGE.
+
+
+Copyright 1996-2007 by Thomas E. Dickey
+
+                        All Rights Reserved
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be included
+in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE ABOVE LISTED COPYRIGHT HOLDER(S) BE LIABLE FOR ANY
+CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
+TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name(s) of the above copyright
+holders shall not be used in advertising or otherwise to promote the
+sale, use or other dealings in this Software without prior written
+authorization.
+
+-- vile: txtmode file-encoding=utf-8
Index: package/debian/rules
--- /dev/null	2012-06-08 10:25:13.559907442 +0000
+++ ncurses-5.9-20120608/package/debian/rules	2012-06-08 15:20:54.000000000 +0000
@@ -0,0 +1,117 @@
+#!/usr/bin/make -f
+# MAde with the aid of dh_make, by Craig Small
+# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
+# Some lines taken from debmake, by Cristoph Lameter.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+CC_NORMAL = -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Wconversion
+CC_STRICT = $(CC_NORMAL) -W -Wbad-function-cast -Wcast-align -Wcast-qual -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wwrite-strings -ansi -pedantic
+
+MY_DIR=/usr/local/ncurses6
+MYDATA=/usr/local/ncurses/share/terminfo
+
+CFLAGS = $(CC_NORMAL)
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+        CFLAGS += -O0
+else
+        CFLAGS += -O2
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+        INSTALL_PROGRAM += -s
+endif
+
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+
+	RPATH_LIST=../lib:$(MY_DIR)/lib \
+	CFLAGS="$(CFLAGS)" ./configure \
+		--host=$(DEB_HOST_GNU_TYPE) \
+		--build=$(DEB_BUILD_GNU_TYPE) \
+		--prefix=$(MY_DIR) \
+		--with-default-terminfo-dir=$(MYDATA) \
+		--with-terminfo-dirs=$(MYDATA):/usr/share/terminfo \
+		--disable-echo \
+		--disable-getcap \
+		--disable-leaks \
+		--disable-macros  \
+		--disable-termcap \
+		--enable-const \
+		--enable-ext-colors \
+		--enable-ext-mouse \
+		--enable-hard-tabs \
+		--enable-rpath \
+		--enable-sp-funcs \
+		--enable-warnings \
+		--enable-widec \
+		--verbose \
+		--with-develop \
+		--with-shared \
+		--with-termlib \
+		--with-ticlib \
+		--with-trace \
+		--with-xterm-kbs=DEL \
+		--without-ada \
+		--without-debug \
+		--without-normal
+
+	touch configure-stamp
+
+build: build-stamp
+build-stamp: configure-stamp
+	dh_testdir
+
+	$(MAKE)
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+
+	[ ! -f makefile ] || $(MAKE) distclean
+
+	rm -f configure-stamp build-stamp install-stamp
+
+	dh_clean
+
+install: install-stamp
+install-stamp: build-stamp
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	$(MAKE) install.libs install.progs DESTDIR=$(CURDIR)/debian/ncurses6
+
+	touch install-stamp
+
+# Build architecture-independent files here.
+binary-indep: build install
+# No binary-indep target.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs NEWS
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install install-stamp
Index: package/debian/source/format
--- /dev/null	2012-06-08 10:25:13.559907442 +0000
+++ ncurses-5.9-20120608/package/debian/source/format	2010-06-22 21:37:16.000000000 +0000
@@ -0,0 +1 @@
+3.0 (native)
Index: package/debian/watch
--- /dev/null	2012-06-08 10:25:13.559907442 +0000
+++ ncurses-5.9-20120608/package/debian/watch	2012-06-08 11:53:43.000000000 +0000
@@ -0,0 +1,4 @@
+version=3
+
+opts=passive ftp://invisible-island.net/ncurses/current/ncurses\.tar.gz \
+ debian  uupdate
Index: package/ncurses.spec
--- /dev/null	2012-06-08 10:25:13.559907442 +0000
+++ ncurses-5.9-20120608/package/ncurses.spec	2012-06-08 15:23:11.000000000 +0000
@@ -0,0 +1,81 @@
+Summary: shared libraries for terminal handling
+Name: ncurses6
+Release: 5.9
+Version: 20120608
+License: X11
+Group: Development/Libraries
+Source: ncurses-%{release}-%{version}.tgz
+# URL: http://invisible-island.net/ncurses/
+
+%define CC_NORMAL -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Wconversion
+%define CC_STRICT %{CC_NORMAL} -W -Wbad-function-cast -Wcast-align -Wcast-qual -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wwrite-strings -ansi -pedantic
+
+%define _prefix /usr/local/ncurses6
+%define MYDATA /usr/local/ncurses/share/terminfo
+
+%description
+The ncurses library routines are a terminal-independent method of
+updating character screens with reasonable optimization.
+
+This package is used for testing ABI 6.
+
+%prep
+
+%setup -q -n ncurses-%{release}-%{version}
+
+%build
+CFLAGS="%{CC_NORMAL}" \
+RPATH_LIST=../lib:%{_prefix}/lib \
+%configure \
+	--target %{_target_platform} \
+	--prefix=%{_prefix} \
+	--includedir='${prefix}/include' \
+	--with-default-terminfo-dir=%{MYDATA} \
+	--with-install-prefix=$RPM_BUILD_ROOT \
+	--with-terminfo-dirs=%{MYDATA}:/usr/share/terminfo \
+	--disable-echo \
+	--disable-getcap \
+	--disable-leaks \
+	--disable-macros  \
+	--disable-overwrite  \
+	--disable-termcap \
+	--enable-const \
+	--enable-ext-colors \
+	--enable-ext-mouse \
+	--enable-hard-tabs \
+	--enable-rpath \
+	--enable-sp-funcs \
+	--enable-warnings \
+	--enable-widec \
+	--verbose \
+	--with-develop \
+	--with-shared \
+	--with-termlib \
+	--with-ticlib \
+	--with-trace \
+	--with-xterm-kbs=DEL \
+	--without-ada \
+	--without-debug \
+	--without-normal
+
+make
+
+%install
+rm -rf $RPM_BUILD_ROOT
+
+make install.libs install.progs
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%files
+%defattr(-,root,root,-)
+%{_bindir}/*
+%{_includedir}/*
+%{_libdir}/*
+#%{_datadir}/*
+
+%changelog
+
+* Fri Jun 08 2012 Thomas E. Dickey
+- initial version.
Index: progs/infocmp.c
Prereq:  1.119 
--- ncurses-5.9-20120602+/progs/infocmp.c	2012-06-02 15:55:33.000000000 +0000
+++ ncurses-5.9-20120608/progs/infocmp.c	2012-06-08 23:05:25.000000000 +0000
@@ -42,7 +42,7 @@
 
 #include <dump_entry.h>
 
-MODULE_ID("$Id: infocmp.c,v 1.119 2012/06/02 15:55:33 tom Exp $")
+MODULE_ID("$Id: infocmp.c,v 1.120 2012/06/08 23:05:25 tom Exp $")
 
 #define L_CURL "{"
 #define R_CURL "}"
@@ -597,6 +597,7 @@
 
 	case C_NAND:
 	    if (!e1->nuses) {
+		found = TRUE;
 		for_each_entry() {
 		    e2 = &entries[extra++];
 		    if (e2->nuses != e1->nuses) {
